SDML(1)

NAME
sdml doc - Produce structured documentation for a module.

SYNOPSIS
sdml doc [OPTIONS] [MODULE]

DESCRIPTION
Produce structured documentation for a module.

This command creates structured documentation for a module, and includes annotations, constraints and all definition types. The generated documentation also include diagrams and dependency graphs.

- Org-Mode (default) :: Create an Emacs org-mode formatted file. This format allows all content to be written into a single file with export options to HTML, LaTeX, Word, PDF and more.

- Markdown :: Create a markdown formatted file, this file uses GitHub-flavored markdown to allow for some better content formatting than CommonMark.

  Arguments:

    [MODULE]

    SDML module, loaded using the standard resolver

OPTIONS

-f, --output-format <OUTPUT_FORMAT>

    Possible values: - markdown: Markdown - org-mode: Emacs org-mode[default: org-mode]

-o, --output <OUTPUT>

    File name to write to, or '-' to write to stdout

    [default: -]

-i, --input <INPUT>

    Input SDML file name to read from, or '-' to read from stdin

    [default: -]

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version